FROM debian:stable-slim

LABEL maintainer="denis.boisset@orange.com & christophe.maldivi@orange.com"

# Create "/usr/share/man/man1" manually due to debian-slim issue (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=863199)
# hadolint ignore=DL3008
RUN mkdir -p /usr/share/man/man1 && \
    apt-get update && \
    apt-get install --no-install-recommends -y wget openjdk-11-jre-headless && \
    wget https://gitlab.com/Orange-OpenSource/documentare/documentare-graphviz/-/jobs/2579445879/artifacts/raw/graphviz_2.42.2-7_amd64.deb && \
    dpkg -i graphviz_2.42.2-7_amd64.deb ;  apt-get -f install --no-install-recommends -y && \
    wget https://gitlab.com/Orange-OpenSource/documentare/image-converter/-/jobs/1146070497/artifacts/raw/raw-converter_8.0.0_amd64.deb && \
    dpkg -i raw-converter_8.0.0_amd64.deb ;  apt-get -f install --no-install-recommends -y && \
    apt-get purge -y wget && apt-get clean && \
    rm -rf /var/lib/apt/lists/*

ENV LC_ALL C.UTF-8

COPY simdoc-server/target/simdoc-server-1.0.0-SNAPSHOT-runner.jar ./simdoc-server-runner.jar
COPY simdoc-server/target/lib ./lib

EXPOSE 2407

CMD ["java", "-XX:+UseParallelGC", "-Dredis.host=redis", "-jar", "simdoc-server-runner.jar"]
